OpenShot Audio Library | OpenShotAudio: juce::ToneGeneratorAudioSource Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::ToneGeneratorAudioSource Class Reference

`#include <juce_ToneGeneratorAudioSource.h>`

Inheritance diagram for juce::ToneGeneratorAudioSource:

## Public Member Functions
| ToneGeneratorAudioSource ()
| ~ToneGeneratorAudioSource () override
void | setAmplitude (float newAmplitude)
void | setFrequency (double newFrequencyHz)
void | prepareToPlay (int samplesPerBlockExpected, double sampleRate) override
void | releaseResources () override
void | getNextAudioBlock (const AudioSourceChannelInfo &) override
Public Member Functions inherited from juce::AudioSource
virtual | ~AudioSource ()=default

## Additional Inherited Members
Protected Member Functions inherited from juce::AudioSource
| AudioSource ()=default

## Detailed Description

A simple AudioSource that generates a sine wave.

Definition at line 33 of file juce_ToneGeneratorAudioSource.h.

## Constructor & Destructor Documentation

## ◆ ToneGeneratorAudioSource()

juce::ToneGeneratorAudioSource::ToneGeneratorAudioSource | ( |  | ) |

Creates a ToneGeneratorAudioSource.

Definition at line 26 of file juce_ToneGeneratorAudioSource.cpp.

## ◆ ~ToneGeneratorAudioSource()

juce::ToneGeneratorAudioSource::~ToneGeneratorAudioSource | ( |  | ) |
| override

Destructor.

Definition at line 35 of file juce_ToneGeneratorAudioSource.cpp.

## Member Function Documentation

## ◆ getNextAudioBlock()

void juce::ToneGeneratorAudioSource::getNextAudioBlock | ( | const AudioSourceChannelInfo & | info | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 63 of file juce_ToneGeneratorAudioSource.cpp.

## ◆ prepareToPlay()

void juce::ToneGeneratorAudioSource::prepareToPlay | ( | int | samplesPerBlockExpected,
|  | double | sampleRate )
| overridevirtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 52 of file juce_ToneGeneratorAudioSource.cpp.

## ◆ releaseResources()

void juce::ToneGeneratorAudioSource::releaseResources | ( |  | ) |
| overridevirtual

Implementation of the AudioSource method.

Implements juce::AudioSource.

Definition at line 59 of file juce_ToneGeneratorAudioSource.cpp.

## ◆ setAmplitude()

void juce::ToneGeneratorAudioSource::setAmplitude | ( | float | newAmplitude | ) |

Sets the signal's amplitude.

Definition at line 40 of file juce_ToneGeneratorAudioSource.cpp.

## ◆ setFrequency()

void juce::ToneGeneratorAudioSource::setFrequency | ( | double | newFrequencyHz | ) |

Sets the signal's frequency.

Definition at line 45 of file juce_ToneGeneratorAudioSource.cpp.

The documentation for this class was generated from the following files:

- juce_ToneGeneratorAudioSource.h
- juce_ToneGeneratorAudioSource.cpp